<template>
  <LayoutMain>
    <section>
      <b-container>
        <b-row align-h="center">
          <b-col cols="12">
            <TitleShape title="Bienvenido" />
          </b-col>
        </b-row>
      </b-container>
      <div class="color-wrapper">
        <b-container>
          <div v-if="token">
            <div v-if="status== 'activation_request'">
              Se está validando tu cuenta (SPINNER)
            </div>
            <div v-else-if="status== 'activation_success'">
              Tu cuenta se ha validado <eva-icon name="checkmark-outline" animation="pulse"></eva-icon>
            </div>
            <div v-else-if="status== 'activation_error'">
              Ha ocurrido un error validando la cuenta <eva-icon name="close-outline" animation="pulse"></eva-icon>
            </div>
          </div>          
          <div v-else>
            El registro se ha realizado con exito, se hja enviado un mensaje a la direccion de correo para validarla.
          </div>          
        </b-container>
      </div>
    </section>
  </LayoutMain>
</template>

<script>
// @ is an alias to /src
import LayoutMain from "@/components/layouts/Main.vue";
import TitleShape from "@/components/TitleShape.vue";

import { mapState, mapGetters } from "vuex";

export default {
  name: "home",
  components: {
    LayoutMain,
    TitleShape
  },
  data() {
    return {
      token: this.$route.query.token
    };
  },
  computed: {
    ...mapState('auth', ['status']),
    ...mapGetters("auth", ["getAuthStatus"])
  },
  mounted: function() {
    const {token} = this
    if (token) {
      this.$store
        .dispatch("auth/activate", { token })
        .then(result => {
          console.debug(result)
        })
        .catch(error => {
          console.debug(error);
        });
    }
  },
  methods: {}
};
</script>